Package bitel.billing.server.admin.resource.bean

# Class ResourceCategoryManager<T extends ResourceCategory<T>>

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
bitel.billing.server.admin.resource.bean.ResourceCategoryManager<T>

Direct Known Subclasses:
  `IPResourceCategoryManager`, `NumberResourceCategoryManager`

public abstract class ResourceCategoryManager<T extends ResourceCategory<T>> extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Connection`
  `con`
  `protected String`
  `tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceCategoryManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteCategory(int id)`
  `T`
  `getCategory(int id)`
  `protected abstract T`
  `getCategoryFromRs(ResultSet rs)`
  `List<T>`
  `getCategoryTree()`
  `int`
  `getSubCount(int categoryId)`
  `protected abstract String`
  `getTableName()`
  `protected void`
  `loadStandartCategoryFields(ResultSet rs, T category)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### con

    protected Connection con

  - ### tableName

    protected String tableName

- ## Constructor Details

  - ### ResourceCategoryManager

    public ResourceCategoryManager(Connection con, int mid)

- ## Method Details

  - ### getCategoryTree

    public List<T> getCategoryTree()

  - ### getSubCount

    public int getSubCount(int categoryId)

  - ### loadStandartCategoryFields

    protected void loadStandartCategoryFields(ResultSet rs, T category) throws Exception
    Throws:
      `Exception`

  - ### getCategory

    public T getCategory(int id)

  - ### deleteCategory

    public void deleteCategory(int id)

  - ### getTableName

    protected abstract String getTableName()

  - ### getCategoryFromRs

    protected abstract T getCategoryFromRs(ResultSet rs)